Skip to content
impulseDOCS
Get Started

Invoke a capability-advertised Search action

POST
/v1/projects/{project_id}/services/{service_id}/actions/{action}
curl --request POST \
--url https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/actions/service_health \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'

Use x-impulse-search-actions for request schemas and service capabilities.actions as the runtime source of truth.

project_id
required
string format: uuid
service_id
required
string format: uuid
action
required
string
Allowed values: service_health get_usage list_indexes create_index delete_index query list_api_keys rotate_credentials generate_tenant_credential list_tasks get_task list_snapshots create_snapshot restore_snapshot list_domains add_domain remove_domain
Media typeapplication/json
object
key
additional properties
any
Examplegenerated
{}

Customer-safe action result

Media typeapplication/json
object
action
required
string
Allowed values: service_health get_usage list_indexes create_index delete_index query list_api_keys rotate_credentials generate_tenant_credential list_tasks get_task list_snapshots create_snapshot restore_snapshot list_domains add_domain remove_domain
status
required
string
Allowed values: ok healthy degraded unknown error
message
string
result
object
key
additional properties
any
Example
{
"action": "service_health",
"status": "ok"
}

Invalid action body

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Scope or project binding denied

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Resource not found

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Action unavailable for current service state

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}